<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html><head>
  <meta name="generator" content="HTML Tidy for Linux/x86 (vers 1st March 2004), see www.w3.org">

  
  <title>porTiVity playout</title><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <link rel="stylesheet" href="css/fpm.css" type="text/css">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="Start" href="index.html" title="FPM Home">
  <link rel="Icon" href="im/fpm.png" type="image/png">
  <style type="text/css">
        .coloret {background-color: #00ffff}
  </style></head>


<body>
  <table style="width: 100%;">
    <tbody><tr>
      <td colspan="2" class="titol">
        <h1 style="text-align: center;">porTiVity playout</h1>
      </td>
    </tr>

    <tr>
      <td colspan="2" class="general-cap">
        <h3>General</h3>
      </td>
    </tr>

    <tr>
      <td colspan="2" class="general-fons">
        <table style="width: 100%;">
          <tbody><tr>
            <td style="width: 50%; vertical-align: top;">
              <ul>
                <li>Install Internet Information Server (IIS)&nbsp;from OS CD</li><ul><li>Make sure that <a href="utilitats.html#permisos_aspnet">user ASPNET can access&nbsp;the used directories</a>:</li><ul><li>c:\</li><li>d:\</li></ul></ul><li><a href="utilitats.html#installacio_net">Install ASP.NET v2</a></li><li>Install ffmpeg from </li><li>Portivity modules will be installed under</li><ul><li>c:\Inetpub\wwwroot\ (IIS)</li><ul><li><a class="intern" href="#mxf_demux">MxfPlayerService</a></li><li><a class="intern" href="#mxf_demux">MxfUploaderService</a></li><li><a class="intern" href="#mp">PortivityMP</a></li></ul><li>d:\portivity_authoring\</li><ul><li><a class="intern" href="#lsm">LaserSegmentationModule</a></li><li><a class="intern" href="#lsm">LaserSegmentationTest</a></li></ul><li>d:\portivity_playout\</li><ul><li><a class="intern" href="#mp">PortivityMP</a></li><li><a class="intern" href="#acp">PortivityACP</a></li><li><a class="intern" href="#ssm">SSM</a></li></ul></ul></ul>
            </td>

            <td style="width: 50%; vertical-align: top;">
              <ul>
                <li>Get the latest vesions of the scenarios from SVN and put them on d:\Documents\porTiVity\content\isports\...:</li><ul><li>svn://portivity@localhost/svn-portivity/trunk/wp2/Playout/isports</li><li>svn://portivity@localhost/svn-portivity/trunk/wp2/Playout/Spur_Partner</li></ul><li>Make a <a href="windows.html#unitats_virtuals">virtual drive</a> with subst (Visual Subst):</li><ul><li>p: =&nbsp;d:\Documents\porTiVity\content\</li></ul>
              </ul>
            </td>
          </tr>
        </tbody></table>
      </td>
    </tr>

    <tr>
      <td style="width: 50%; vertical-align: top;">
        <table style="width: 100%;">
	
          <tbody><tr><td class="seccio-cap"><h3>GPAC-Portivity Libraries</h3></td></tr><tr><td class="seccio-fons"><ul><li>Get it from&nbsp;<a href="http://www.salle.url.edu/%7Efpinyol/portivity/GPAC-Portivity/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/GPAC-Portivity/setup.exe</a></li><li>Install it (c:\Program Files\).</li><li>libgpac is needed by the Laser Segmentation Module; mp4box is needed by the Additional Content Processor.</li></ul></td></tr><tr>
            <td class="seccio-cap">
              <h3><a name="lsm"></a>Laser Segmentation Module</h3>
            </td>
          </tr>

          <tr>
            <td class="seccio-fons">
              <ul>
                <li>Get it from <a href="http://www.salle.url.edu/%7Efpinyol/portivity/LSM/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/LSM/setup.exe</a></li><li>Install it (d:\portivity_authoring\).</li>
              </ul>
            </td>
          </tr><tr><td class="seccio-cap"><h3>MXF Multiplexer</h3></td></tr><tr><td class="seccio-fons"><ul><li>Get it from <a href="http://ftp.irt.de/IRT/mxf/tmp/porTiviTy/MultiplexerDll.html">http://ftp.irt.de/IRT/mxf/tmp/porTiviTy/MultiplexerDll.html</a></li><li>Install it to d:\portivity_authoring\MXFMultiplexer\MultiplexerDll\...</li></ul></td></tr>
	  
        </tbody></table>
      </td>

      <td style="width: 50%; vertical-align: top;">
        <table style="width: 100%;">
          <tbody><tr>
            <td class="seccio-cap">
              <h3><a name="mxf_demux"></a>MXF Demultiplexer</h3>
            </td>
          </tr>

          <tr>
            <td class="seccio-fons">
              <ul>
                <li>Get it from <a href="ftp://helpdesk.optibase.com/PorTiVity">ftp://helpdesk.optibase.com/PorTiVity</a> (get login and password from a message from Adi on the list)</li><li>Install it (Web Service).</li><li>Check that it is running (<a class="intern" href="#troubleshooting_ws">troubleshooting</a>):</li><ul><li>http://localhost/MxfPlayerService/MxfPlayerService.asmx</li><li>http://localhost/MxfPlayerService/MxfUploaderService.asmx</li></ul>
              </ul>
            </td>
          </tr><tr><td class="seccio-cap"><h3><a name="mp"></a>Metadata Processor</h3></td></tr><tr><td class="seccio-fons"><ul><li>Web service</li><ul><li>Get&nbsp;<a href="http://www.salle.url.edu/%7Efpinyol/portivity/MPWS/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/MPWS/setup.exe</a></li><li>Install it (Web Service).</li><li>Check that it is running (<a class="intern" href="portivity_playout.html#troubleshooting_ws">troubleshooting</a>):</li><ul><li>http://localhost/PortivityMP/PortivityMP.asmx</li></ul></ul><li>Application</li><ul><li>Get&nbsp;<a href="http://www.salle.url.edu/%7Efpinyol/portivity/MP/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/MP/setup.exe</a></li></ul><ul><li>Install it (d:\portivity_playout\).</li><li><a name="mp_address_ini"></a>Check the content of d:\portivity_playout\PortivityMP\{isports,spur_partner}_MP.ini:</li><ul><li>the IP address must match yours:</li><ul><li>SourceAddress = "10.0.1.12"</li></ul></ul></ul></ul></td></tr><tr><td class="seccio-cap"><h3><a name="acp"></a>Additional Content Processor</h3></td></tr><tr><td class="seccio-fons"><ul><li>Get it from&nbsp;<a href="http://www.salle.url.edu/%7Efpinyol/portivity/ACP/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/ACP/setup.exe</a></li><li>Install it (d:\portivity_playout\).</li></ul></td></tr><tr><td class="seccio-cap"><h3><a name="ssm"></a>Synchronisation and Signalling Module</h3></td></tr><tr><td class="seccio-fons"><ul><li>Get it from&nbsp;<a href="http://www.salle.url.edu/%7Efpinyol/portivity/SSM/setup.exe">http://www.salle.url.edu/~fpinyol/portivity/SSM/setup.exe</a></li><li>Install it (d:\portivity_playout\).</li></ul></td></tr><tr><td class="seccio-cap"><h3>Web server for additional content</h3></td></tr><tr><td class="seccio-fons"><ul><li>Setup your computer as server.portivity.org</li><ul><li>c:\WINDOWS\system32\drivers\etc\hosts:</li><ul><li>127.0.0.1 server.portivity.org</li></ul></ul><li>Internet Information Server</li><ul><li><a name="svg_mime_type"></a>Add MIME type for svg:</li><ul><li>Properties: HTTP headers / File types:</li><ul><li>svg:&nbsp;image/svg+xml</li></ul></ul></ul><li>Other servers</li><ul><li>Apache</li><li>Darwin</li></ul></ul></td></tr>
        </tbody></table>
      </td>
    </tr>

    
    <tr>
      <td colspan="2" class="seccio-cap">
        <h3>Run the Playout</h3>
      </td>
    </tr>
    
    <tr>
      <td colspan="2" class="seccio-fons">
        <table style="width: 100%;">	
          <tbody><tr>
            <td style="width: 50%; vertical-align: top;">
              <ul>
                </ul><ol><li>Generate MXF files from the main xsr from the scenario</li><ol><li>d:\portivity_authoring\LaserSegmentationTest\isports.bat</li></ol><li>Launch PortivityMP application:</li><ol><li>d:\portivity_playout\PortivityMP\bin\PortivityMP.exe</li></ol><li>Launch SSM</li><ol><li>d:\portivity_playout\SSM\bin\SSM.exe</li></ol><li>Load SSM configuration:</li><ol><li>"Configuration (graphical)":&nbsp;</li><ol><li>d:\portivity_playout\SSM\isports_SSM.ini</li></ol></ol><li>SSM: "Start" (<a class="intern" href="#troubleshooting_mp">troubleshooting</a>)</li></ol><ul>
              </ul>
            </td>

            <td style="width: 50%; vertical-align: top;">
              <ul>
                <li>Try with Osmo4:</li><ul><li>Osmo4 c:\Program Files\isports.sdp</li></ul><li>Make a capture with Wireshark</li><ul><li>Capture Filter:</li><ul><li><code>host 225.100.100.200 or host 225.100.100.201</code></li></ul></ul>
              </ul>
            </td>
          </tr>
        </tbody></table>
      </td>
    </tr>
    
    <tr><td class="seccio-cap" colspan="2" rowspan="1"><h3>Troubleshooting</h3></td></tr><tr><td class="seccio-fons" colspan="2" rowspan="1"><table style="width: 100%;" border="0" cellpadding="2" cellspacing="2"><tbody><tr><td style="width: 50%;"><ul><li><a name="troubleshooting_ws"></a><a href="utilitats.html#serveis_web">With Web Services and IIS</a></li><li><a name="troubleshooting_mp"></a>With PortivityMP</li><ul><li>the application crashes at the start:</li><ul><li><a class="intern" href="#mp_address_ini">check that isports_MP.ini points to the IP address of your machine</a></li></ul></ul></ul></td><td style="width: 50%;"><ul><li>With the player (Osmo4)</li><ul><li>"Type Error: xhr_object.responseXML has no properties"</li><ul><li><a class="intern" href="#svg_mime_type">Check the MIME types for IIS (particularly for SVG)</a></li></ul></ul></ul></td></tr></tbody></table></td></tr><tr>
      <td colspan="2" class="peu">
        <p style="font-size: smaller; text-align: center;">http://www.francescpinyol.cat/.html<br>
        Primera versió: 30 de juliol de 2008 / First version: 30th July 2008<br>
        Darrera modificació: 30 de juliol de 2008 / Last update: 30th July 2008</p>

        <p style="text-align: center;"><a href="http://validator.w3.org/check/referer"><img src="//www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!" style="border-style: hidden;" height="31" width="88"></a></p>
	Cap a <a href="index.html" class="intern">casa</a> / Back <a href="index.html" class="intern">home</a>.
      </td>
    </tr>
  </tbody></table>
</body></html>